﻿using System;
using System.Diagnostics;


namespace SpaceInvaders
{
    public class NullObject : Leaf
    {
        //LTN: owned by null object
        private static NullProxy pNullProxy = new NullProxy();

        public NullObject() 
            : base(GameObject.ObjectName.NullObject, Sprite.SpriteName.NullObject, 0, 0)
        {
            //does nothing
        }

        public override void Accept(Visitor other)
        {
            other.Visit(this);
        }

        public override void Move(float x, float y)
        {
            //does nothing
        }

        public override void Update()
        {
            //does nothing
        }
    }
}